import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  ManyToOne,
  OneToMany,
} from 'typeorm';
import { ProductCategories } from './product-category.entity';
import { BaseModel } from '../../config/basemodel.entity';
import { Product } from './product.entity';

@Entity()
export class ProductSubCategories extends BaseModel {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column()
  name: string;

  @ManyToOne(() => ProductCategories, (categories) => categories.subCategories)
  category: ProductCategories;

  @OneToMany(() => Product, (product) => product.subCategories)
  product: Product;
}
